Subject: Compiling MOO 1.7.0 on SGI Iris Indigo

From: [email-masked] (Edward L. Wallace)
Date: Thu, 21 Jan 1993 07:09:42 -0800

Hi folks, got a problem compiling MOO on an Indigo.

I get the following compiling output:

aurora 14% make
        cc  -g -DMOO -c ast.c
        cc  -g -DMOO -c db.c
        cc  -g -DMOO -c db_property.c
        cc  -g -DMOO -c db_verb.c
        cc  -g -DMOO -c eval_env.c
        cc  -g -DMOO -c eval_vm.c
        cc  -g -DMOO -c exceptions.c
        cc  -g -DMOO -c execute.c
        cc  -g -DMOO -c functions.c
        cc  -g -DMOO -c list.c
        cc  -g -DMOO -c log.c
        cc  -g -DMOO -DMSTATS -Drcheck -Dbotch=panic -c malloc.c
        cc  -g -DMOO -c match.c
        touch net_single.o
        touch net_multi.o
        touch net_mp_selct.o
        touch net_mp_poll.o
        touch net_mp_fake.o
        touch net_bsd_tcp.o
        touch net_bsd_lcl.o
        touch net_sysv_tcp.o
        touch net_sysv_lcl.o
        cc  -g -DMOO -c network.c
my-tiuser.h:20: tiuser.h: No such file or directory
*** Error code 1

Stop.

--

I suspect this means that one of the 'standard' header files that my
system should have isn't where the MOO thinks it is (or some such). 
As you can tell. I'm no expert -- curious if anyone has any ideas?

It's being compiled under NP_TCP/NS_SYSV.

-- 
Ted Wallace '93 - Consultant, Computer Resource Center
Dartmouth College, department of Physics and Astronomy
---
"All science is either physics, or stamp collecting" - Rutherford
"I don't like it, and I'm sorry I had anything to do with it!" - Schroedinger